tigase.jaxmpp.j2se

## Class ThreadSafeResponseManager

- java.lang.Object
- - tigase.jaxmpp.core.client.ResponseManager
  - - tigase.jaxmpp.j2se.ThreadSafeResponseManager

-     public class ThreadSafeResponseManager
      extends ResponseManager

- - ### Nested Class Summary

    - ### Nested classes/interfaces inherited from class tigase.jaxmpp.core.client.ResponseManager

      `ResponseManager.Entry`

  - ### Field Summary

    - ### Fields inherited from class tigase.jaxmpp.core.client.ResponseManager

      `DEFAULT_TIMEOUT, log, RESPONSE_MANAGER_KEY`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `ThreadSafeResponseManager()`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `protected Map<String,ResponseManager.Entry>` | `getHandlers()`

    - ### Methods inherited from class tigase.jaxmpp.core.client.ResponseManager

      `checkTimeouts, getResponseHandler, getResponseHandler, getResponseManager, registerResponseHandler, registerResponseHandler, setResponseManager`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### ThreadSafeResponseManager

          public ThreadSafeResponseManager()

  - ### Method Detail

    - #### getHandlers

          protected Map<String,ResponseManager.Entry> getHandlers()

      Overrides:
        `getHandlers` in class `ResponseManager`

Copyright © 2006–2020 Tigase. All rights reserved.